Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

amsynth-plugin-dssi-1.9.0-1.2 RPM for armv7hl

From OpenSuSE Ports Tumbleweed for armv7hl

Name: amsynth-plugin-dssi Distribution: openSUSE Tumbleweed
Version: 1.9.0 Vendor: openSUSE
Release: 1.2 Build date: Sat Jul 20 09:24:11 2019
Group: Productivity/Multimedia/Sound/Midi Build host: armbuild22
Size: 205857 Source RPM: amsynth-1.9.0-1.2.src.rpm
Packager: http://bugs.opensuse.org
Url: http://amsynth.github.io/
Summary: Analog modelling (a.k.a virtual analog) software synthesizer
Amsynth is an analog modelling (a.k.a virtual analog) software synthesizer.
It mimics the operation of early analog subtractive synthesizers with
classic oscillator waveforms, envelopes, filter, modulation and effects.
The aim is to make it easy to create and modify sounds.

Features:
 * Dual oscillators (sine / saw / square / noise) with hard sync
 * 12/24 dB/oct resonant filter (low-pass / high-pass / band-pass / notch)
 * Mono / poly / legato keyboard modes
 * Dual ADSR envelope generators (filter & amplitude)
 * LFO which can modulate the oscillators, filter, and amplitude
 * Distortion and reverb
 * Hundreds of presets

There are currently several different ways to run amsynth:
 * Stand-alone application using JACK, ALSA or OSS
 * DSSI plug-in
 * LV2 plug-in
 * VST plug-in

This package includes the DSSI implementation of the synthesizer.

Provides

Requires

License

GPL-2.0-or-later

Changelog

* Tue Apr 23 2019 Atri Bhattacharya <badshah400@gmail.com>
  - Update to version 1.9.0:
    + Added support for NSM (Non Session Manager)
    + Improved FreeBSD OSS audio support
    + Sustain pedal can now be used in Mono and Legato modes
    + JACK MIDI inputs are now automatically connected
    + Fixed a crash in MIDI learn dialog when receiving CC messages
    + Other minor bug fixes
  - Drop amsynth-install-translated-appdata.patch: incorporated
    upstream; drop associated BuildRequries: libtool, autoconf,
    and automake, and do not run autoreconf any more.
  - Conditionalise post(un) scriptlets to run only for openSUSE 15.1
    and earlier; for tumbleweed, they are taken care of by rpm file
    triggers.
* Tue Apr 03 2018 tchvatal@suse.com
  - Use %license macro
  - Drop lash-1.0 dependency as we try to reduce it (remove from TW)
* Mon Jun 26 2017 badshah400@gmail.com
  - Update to version 1.8.0:
    + Controls can now be reset to their default value via a
      double-click.
    + Alternate tuning scales & keyboard maps can now be loaded in
      plug-ins.
    + Fixed an issue where bank switching via MIDI caused jack
      zombification.
    + Removed dependency on gtkmm (gtk is still required for the
      UI).
  - Add amsynth-install-translated-appdata.patch to fix installation
    of translated metainfo files; introduces BuildRequries on
    automake, autconf and libtool. Patch sent upstream.
  - Package metainfo files for plugins.
  - Drop BuildRequries on gtkmm.
* Wed Mar 29 2017 badshah400@gmail.com
  - Update to version 1.7.1:
    + Fixed MIDI channel filtering.
    + Fixed corrupt preset names in dssi plugin.
    + General UI and menu item improvements.
    + Improvements to translations.
    + Added a man page.
  - Drop amsynth-install-appdata.patch (and associated buildrequires
    on libtool): incorporated upstream.
  - Generate (add BuildRequires: pandoc) and install new man files
    (new in version 1.7.1).
* Tue Nov 15 2016 badshah400@gmail.com
  - Initial package.
  - Add amsynth-install-appdata.patch: Add a translatable appdata
    file and install it using autotool; patch-feature-opensuse for
    now but sent upstream.

Files

/usr/lib/dssi
/usr/lib/dssi/amsynth_dssi
/usr/lib/dssi/amsynth_dssi.so
/usr/lib/dssi/amsynth_dssi/amsynth_dssi_gtk
/usr/share/appdata
/usr/share/appdata/dssi-amsynth-plugin.metainfo.xml


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Oct 10 15:00:50 2019